Subject: [sup-talk] Problems with encodings and Ruby 1.9

From: Israel Herraiz <[email-masked]>
Date: Tue, 30 Mar 2010 16:19:35 +0200

Hi all,

I am trying out Sup with Ruby 1.9 in ArchLinux, and I am facing some
crashes with some messages written in different encodings. Those
messages were correctly shown with Ruby 1.8.

The problem is that when there are messages with some different
encoding. In particular, whenever I get a message with ASCII_8BIT, Sup
crashes with the following message:

  incompatible character encodings: UTF-8 and ASCII-8BIT

This both happens in Sup next and in Sup 0.11; I have tried to fix it,
touching the check method in utils.rb, without success. Well, actually
with partial success, because if at line 719 I change the else
condition forcing the charset to be utf-8, the message will be shown,
although with wide characters not properly displayed.

In a message in sup-devel, Rich pointed out that an ASCII_8BIT string
means that there is a bug in Sup [1]. I am willing to debug this, but
I have not found yet where the problem is. I can provide a copy of the
messages causing this if someone else wants to reproduce this
behavior.

Any hint about how to fix this?

Cheers,
Israel
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk